Bug 165662 - Review Request: perl-Regexp-Common
Review Request: perl-Regexp-Common
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
David Lawrence
http://search.cpan.org/dist/Regexp-Co...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-11 05:24 EDT by Ralf Corsepius
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-19 21:51:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2005-08-11 05:24:54 EDT
Spec Name or Url: ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Regexp-Common.spec
SRPM Name or Url: ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Regexp-Common-2.120-1.src.rpm

Description :
Regexp::Common - Provide commonly requested regular expressions
Comment 1 Paul Howarth 2005-08-19 13:15:38 EDT
Review:

- rpmlint not quite clean - see below
- package and spec file naming is OK
- package meets guidelines
- license is Artistic (only)
- spec file written in English and is legible
- source matches upstream
- builds OK on FC4 and in mock for devel
- BR's OK
- no locales, libraries, subpackages, pkgconfigs etc. to worry about
- not relocatable
- no directory ownership or permissions issues
- no duplicate files
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime

Issues:

- rpmlint output
W: perl-Regexp-Common incoherent-version-in-changelog 1.120-1 2.120-1
Your last entry in %changelog contains a version that is not coherent with the
current version of your package.

This is just a typo in both of the specfile changelog entries.

- BR: perl is redundant

- find of empty .bs files is redundant

- suggest for %files:
%{perl_vendorlib}/Regexp/
rather than
%{perl_vendorlib}/*

These can be fixed post-import.

Approved.

Note You need to log in before you can comment on or make changes to this bug.